# StandardVersionsRepoProxy

interface StandardVersionsRepoProxy < T > : Repo (source)

#### Inheritors

AndroidSQLStandardVersionsRepoProxy
KeyValueBasedVersionsRepoProxy
ExposedStandardVersionsRepoProxy

## Properties

database
Link copied to clipboard
abstract val database : T

## Functions

getTableVersion
Link copied to clipboard
abstract suspend fun getTableVersion (tableName: String ): Int ?
updateTableVersion
Link copied to clipboard
abstract suspend fun updateTableVersion (tableName: String , version: Int )